Bug 11511 - upon X startup, gmc thrashes @99% of cpu for a time
upon X startup, gmc thrashes @99% of cpu for a time
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gmc (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-18 13:53 EDT by Brock Organ
Modified: 2013-04-02 00:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-18 16:10:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qa of machine affected (8.89 KB, text/plain)
2000-05-18 13:53 EDT, Brock Organ
no flags Details
cat /proc/cpuinfo (548 bytes, text/plain)
2000-05-18 13:54 EDT, Brock Organ
no flags Details
full strace -p performed (from near startup till end of thrashing ... about 1 minute of clock time) (323.69 KB, text/plain)
2000-05-18 13:56 EDT, Brock Organ
no flags Details

  None (edit)
Description Brock Organ 2000-05-18 13:53:25 EDT
here is an excerpt from the strace -p for the time gmc spends thrashing the
CPU ...

brk(0x81a9000)                          = 0x81a9000
brk(0x81aa000)                          = 0x81aa000
read(8, "icies\n0:25 rojects\n0:24 resource"..., 4096) = 4096
brk(0x81ab000)                          = 0x81ab000
brk(0x81ac000)                          = 0x81ac000
brk(0x81ad000)                          = 0x81ad000
brk(0x81ae000)                          = 0x81ae000
brk(0x81af000)                          = 0x81af000
brk(0x81b0000)                          = 0x81b0000
read(8, "vo\n0:33 800\n0:35 8\n0:34 46\n0:32 "..., 4096) = 4096
brk(0x81b1000)                          = 0x81b1000
brk(0x81b2000)                          = 0x81b2000
brk(0x81b3000)                          = 0x81b3000
brk(0x81b4000)                          = 0x81b4000
brk(0x81b5000)                          = 0x81b5000
read(8, "pmanager\n0:22 help\n0:22 icons\n0:"..., 4096) = 4096
brk(0x81b6000)                          = 0x81b6000
brk(0x81b7000)                          = 0x81b7000
Comment 1 Brock Organ 2000-05-18 13:53:59 EDT
Created attachment 256 [details]
rpm -qa of machine affected
Comment 2 Brock Organ 2000-05-18 13:54:59 EDT
Created attachment 257 [details]
cat /proc/cpuinfo
Comment 3 Brock Organ 2000-05-18 13:56:59 EDT
Created attachment 258 [details]
full strace -p performed (from near startup till end of thrashing ... about 1 minute of clock time)
Comment 4 Jonathan Blandford 2000-05-26 10:34:59 EDT
can you move the .gnome/metadata.db file out of the way and see if that fixes
it?
Comment 5 Brock Organ 2000-05-26 20:50:59 EDT
Date: Fri, 26 May 2000 12:53:37 -0700
From: Bob Moss <bmoss@redhat.com>
To: Brock Organ <borgan@redhat.com>
Subject: Re: [Bug 11511] Changed - upon X startup,
     gmc thrashes @99% of cpu fora  time (fwd)

Nope, same behavior. Let me know if you guys think of something else.

Thanks,

Bob
Comment 6 Jonathan Blandford 2000-07-18 16:10:31 EDT
Can you let me know if this is still a problem?
Comment 7 Jonathan Blandford 2001-07-13 15:17:46 EDT
gmc is deprecated in favor of nautilus

Note You need to log in before you can comment on or make changes to this bug.